/* Copyright (C) 2020 GSI Helmholtzzentrum fuer Schwerionenforschung, Darmstadt
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Volker Friese [committer] */

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

// --- Classes
#pragma link C++ class CbmRecoUnpack + ;
#pragma link C++ class CbmSourceDigiTimeslice + ;
#pragma link C++ class CbmSourceDigiEvents + ;
#pragma link C++ class CbmSourceRecoTimeslice + ;
#pragma link C++ class CbmSourceTsArchive + ;
#pragma link C++ class cbm::algo::PartitionedVector < cbm::algo::bmon::Hit > + ;
#pragma link C++ class cbm::algo::PartitionedVector < cbm::algo::sts::Hit > + ;
#pragma link C++ class cbm::algo::PartitionedVector < cbm::algo::trd::Hit > + ;
#pragma link C++ class cbm::algo::PartitionedVector < cbm::algo::tof::Hit > + ;
#pragma link C++ class cbm::algo::ca::Vector < std::vector < std::pair < unsigned int, unsigned int > > > + ;

#endif /* __CINT__ */
