#!/bin/bash
# Copyright (C) 2025 GSI Helmholtzzentrum fuer Schwerionenforschung, Darmstadt
# SPDX-License-Identifier: GPL-3.0-only
# 2025-03-10, Pierre-Alain Loizeau <p.-a.loizeau@gsi.de>

# To be executed from the mFLES login node during mCBM common data taking

runid_line=`flesctl status | grep "Run number:"`
# echo "${runid_line}"

# 0                18                          -59-                           77
# |                 |                                                          |
# ╭───────────────────────────────── Run 3606 ─────────────────────────────────╮
# │     Run number:
runid=${runid_line:18:59}
# echo "${runid}"

runid=`echo "${runid}" | tr -d '[:blank:]'`
# echo "${runid}"

# echo "run_unpack_online_bmon.C(\"tcp://node8:5560;tcp://node8:5561;tcp://node9:5560;tcp://node9:5561;tcp://node10:5560;tcp://node10:5561;tcp://node11:5560;tcp://node11:5561\", ${runid}, 8096)"
#macro="run_unpack_online_bmon.C(\"tcp://node8:5560;tcp://node8:5561;tcp://node9:5560;tcp://node9:5561;tcp://node10:5560;tcp://node10:5561;tcp://node11:5560;tcp://node11:5561\", ${runid}, 8096)"
srun -X --job-name=bmon_moni -w node6 root -l -b -q "run_unpack_online_bmon.C(\"tcp://node8:5560;tcp://node8:5561;tcp://node9:5560;tcp://node9:5561;tcp://node10:5560;tcp://node10:5561;tcp://node11:5560;tcp://node11:5561\", ${runid}, 8096)"
